1
Vote

'ODataXMlParser' does not implement the 'NSXMLParserDelegate' protocol

description

When I change the target from iOS 3.2 to iOS 4.1 an warning appears:
 
warning: class 'ODataXMlParser' does not implement the 'NSXMLParserDelegate' protocol

comments

abub wrote Dec 17, 2010 at 10:53 PM

Thanks for reporting this issue. We shall look into it as part of the current release planned for January.
Abu Obeida

CTapang wrote Jan 21, 2011 at 8:38 PM

The warning should not cause any issue. If you want to get rid of it and still be compatible with both iOS versions, here is a solution I found: http://stackoverflow.com/questions/2966475/nsxmlparserdelegate-compile-problem-iphone-sdk-30-vs-4-0